
D4Science Infrastructure - Task #5617

iSearch enhancement: deploy index-search and harvester portlets

Nov 02, 2016 03:32 PM - Panagiota Koltsida

Status: Closed Start date: Nov 02, 2016

Priority: Normal Due date: Nov 11, 2016

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.1.0

  

Infrastructure: Production   

Description

Could you please deploy and make available the index-search and harvester portlets under the iSearch VRE?

Harvester portlet should be available to VRE managers only while the index-search should be available to all users.

Related issues:

Related to D4Science Infrastructure - Task #5684: Please fix graphical glitch... Closed Nov 08, 2016 Nov 11, 2016

History

#1 - Nov 04, 2016 09:43 AM - Leonardo Candela

- Tracker changed from Task to VRE

- Subject changed from Deploy index-search and harvester portlets to iSearch VRE to iSearch enhancement: deploy index-search and harvester

portlets

- Due date set to Nov 11, 2016

- VRE_Policy set to Open

- Invite_Policy set to Open

#2 - Nov 04, 2016 09:48 AM - Leonardo Candela

- Project changed from D4Science Infrastructure to 8

- Target version deleted (UnSprintable)

Shall we identify a list of sources to populate the "data space", @p.koltsida@di.uoa.gr do you have any initial list?  

One possibility might be that to "harvest" the D4S Geonetwork ... it offers also a OAI-PMH endpoint.  

It is meaningless to have the search facility without content.  

#3 - Nov 04, 2016 01:24 PM - Panagiota Koltsida

@leonardo.candela@isti.cnr.it  definitely we should enable some data sources. We are now in the phase of identifying useful oai-pmh sources and

we could of course harvest the D4S Geonetwork

#4 - Nov 04, 2016 02:42 PM - Massimiliano Assante

- Tracker changed from VRE to Task

- Project changed from 8 to D4Science Infrastructure

- Status changed from New to In Progress

- Target version set to D4Science Infrastructure Upgrade to gCube 4.1.0

- Estimated time set to 1.00 h

- Infrastructure Production added

#5 - Nov 04, 2016 02:52 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100
@p.koltsida@di.uoa.gr 

the index-search portlet is already deployed since the upgrade on iSearch https://services.d4science.org/group/isearch/search (it has some issues

with margin-top though)

the OAI_PMH Harvester has been added to the VRE Managers for the iSearch VRE https://services.d4science.org/group/isearch/oai-pmh-harvester

#6 - Nov 04, 2016 03:01 PM - Panagiota Koltsida

I Think @laskarisn@di.uoa.gr  has fixed the issue with the margin and had managed to included in the 4.1 release. Nikola, could you please clarify

this?

#7 - Nov 04, 2016 03:06 PM - Nikolas Laskaris

No, this modification (just a single conflicting line on a css) has not been included in 4.1, because it was made after the release was closed (was

noticed on preprod).

I think we can live with that till the next release :)

#8 - Nov 04, 2016 03:11 PM - Nikolas Laskaris

I now notice that it's hiding a significant part of the menu!!! On preprod it was not that much noticeable. (there's a difference on css?)

If we need to apply a fix, please let me know in order to specify that css conflicting line.

#9 - Nov 04, 2016 03:21 PM - Massimiliano Assante

- File Screen Shot 2016-11-04 at 15.21.35.png added

the css is not different, the fact is that in preprod there are so many portlets together that the navigation meno is doubled, so you notice it less than in

prod.

#10 - Nov 04, 2016 03:24 PM - Nikolas Laskaris

Oh, ok. So, in production is hides almost all the bar... this is severe! 

#11 - Nov 08, 2016 02:56 PM - Massimiliano Assante

- Status changed from Feedback to Closed

#12 - Nov 08, 2016 02:58 PM - Massimiliano Assante

- Related to Task #5684: Please fix graphical glitch for index search portlet added
